* Encoding: UTF-8.
title CENSUS OF CANADA 1981 - BST: CSD-LONG FORM- SDD81B20.
subtitle SAS commands by Sushil Kumar, UT/DLS 11/2003, using DAIS ddims Publisher.

FILE HANDLE in NAME='x' lrecl=350. /* Replace 'x' with input file data name for correspondin data file. 

DATA LIST FILE=in/
  RP_A 1-2  CD_A 3-4  CSDGC_A 5-7  CSDS_A 8  CSDT_A 9-10  CCSGC_A 11-13  CA_A 14-16  CASL_A 17  RP_B 18-19  CD_B 20-21
  CSDGC_B 22-24  CSDS_B 25  CSDT_B 26-27  CCSGC_B 28-30  CA_B 31-33  CASL_B 34  F17 35-43  F18 44-52  F19 53-61  F20 62-70
  F21 71-79  F22 80-88  F23 89-97  F24 98-106  F25 107-115  F26 116-124  F27 125-133  F28 134-142  V29 143-151  V30 152-160
  V31 161-169  V32 170-178  V33 179-187  V34 188-196  V35 197-205  V36 206-214  V37 215-223  V38 224-232  V39 233-241  V40 242-250
  V41 251-259  V42 260-268  V43 269-277  V44 278-286  V45 287-295  V46 296-304.
VARIABLE LABELS
   RP_A 'Region and province - Location A'
 / CD_A 'Census division - Location A'
 / CSDGC_A 'Census subdivision geographical classification - Location A'
 / CSDS_A 'CSD population size group - Location A'
 / CSDT_A 'CSD type code - Location A'
 / CCSGC_A 'Census consolidated subdivision geographical classification - Location A'
 / CA_A 'Census metropolitan area/Census agglomeration - Location A'
 / CASL_A 'CMA/CA selector - Location A'
 / RP_B 'Region and province - Location A'
 / CD_B 'Census division - Location A'
 / CSDGC_B 'Census subdivision geographical classification - Location A'
 / CSDS_B 'CSD population size group - Location A'
 / CSDT_B 'CSD type code - Location A'
 / CCSGC_B 'Census consolidated subdivision geographical classification - Location A'
 / CA_B 'Census metropolitan area/Census agglomeration - Location A'
 / CASL_B 'CMA/CA selector - Location A'
 / F17 'Tot employed LF living at location A'
 / F18 'Male employed LF living at location A'
 / F19 'Female employed LF living at location A'
 / F20 'Tot employed LF living at location A & working at home'
 / F21 'Male employed LF living at location A & working at home'
 / F22 'Female employed LF living at location A & working at home'
 / F23 'Tot employed LF living at location A & working outside Canada'
 / F24 'Male employed LF living at location A & working outside Canada'
 / F25 'Female employed LF living at location A & working outside Canada'
 / F26 'Tot employed LF living at location A with no usual place of work'
 / F27 'Male employed LF living at location A with no usual place of work'
 / F28 'Female employed LF living at location A with no usual place of work'
 / V29 'Tot employed LF living at location A & working at location A'
 / V30 'Male employed LF living at location A & working at location A'
 / V31 'Female employed LF living at location A & working at location A'
 / V32 'Tot employed LF living at location A & working outside location A'
 / V33 'Male employed LF living at location A & working outside location A'
 / V34 'Female employed LF living at location A & working outside location A'
 / V35 'Tot employed LF living outside Canada & working at location A'
 / V36 'Male employed LF living outside Canada & working at location A'
 / V37 'Female employed LF living outside Canada & working at location A'
 / V38 'Tot employed LF working at location A'
 / V39 'Male employed LF working at location A'
 / V40 'Female employed LF working at location A'
 / V41 'Tot employed LF living at location A & working at location B'
 / V42 'Male employed LF living at location A & working at location B'
 / V43 'Female employed LF living at location A & working at location B'
 / V44 'Tot employed LF living at location B & working at location A'
 / V45 'Male employed LF living at location B & working at location A'
 / V46 'Female employed LF living at location B & working at location A'
.
VALUE LABELS
   RP_A
     0  'Canada'
     10  'Newfoundland'
     11  'Prince Edward Island'
     12  'Nova Scotia'
     13  'New Brunswick'
     24  'Quebec'
     35  'Ontario'
     46  'Manitoba'
     47  'Saskatchewan'
     48  'Alberta'
     59  'British Columbia'
     60  'Yukon'
     61  'Northwest Territories'
 / CSDS_A
     1  '500,000 & over'
     2  '100,000 - 499,999'
     3  '30,000 - 99,999'
     4  '10,000 - 29,999'
     5  '5,000 - 9,999'
     6  '2,500 - 4,999'
     7  '1,000 - 2,499'
     8  '0 - 999'
 / CASL_A
     0  'Not a CMA/CA'
     1  'CMA'
     2  'CA'
 / RP_B
     0  'Canada'
     10  'Newfoundland'
     11  'Prince Edward Island'
     12  'Nova Scotia'
     13  'New Brunswick'
     24  'Quebec'
     35  'Ontario'
     46  'Manitoba'
     47  'Saskatchewan'
     48  'Alberta'
     59  'British Columbia'
     60  'Yukon'
     61  'Northwest Territories'
 / CSDS_B
     1  '500,000 & over'
     2  '100,000 - 499,999'
     3  '30,000 - 99,999'
     4  '10,000 - 29,999'
     5  '5,000 - 9,999'
     6  '2,500 - 4,999'
     7  '1,000 - 2,499'
     8  '0 - 999'
 / CASL_B
     0  'Not a CMA/CA'
     1  'CMA'
     2  'CA'
.
MISSING VALUES
.
Execute.

SAVE OUTFILE= 'y'/* Replace 'y' with name to give your system file.
 /MAP
  /COMPRESSED. /* Delete this line if you want an uncompressed file

